RDS查询编辑器的困境 - 阻止我一切的操作

0

【以下的问题经过翻译处理】 我无法再使用查询编辑器了。在大约18个月前我创建了一个PostgreSQL数据库时,它能够正常工作。现在当我尝试使用它时,我看到这个提示:"当前,查询编辑器仅支持Aurora Serverless数据库。" 以及这个提示:"要为数据库使用查询编辑器,数据库必须启用Data API。"

当我尝试启用Data API时,我看到这个提示:"当前,你不能在Aurora Serverless v2 DB实例中使用Data API。"

当我尝试创建数据库时,我唯一可以选择的选项是Serverless v2。

我应该如何使用AWS数据库?

是否有外部工具可以用来运行SQL查询?当然,这些工具需要在不配置任何数据库用户的情况下工作,因为配置用户需要在查询工具中运行SQL。

profile picture
专家
已提问 9 个月前50 查看次数
1 回答
0

【以下的回答经过翻译处理】 你好,

要创建Aurora Serverless v1,你需要首先选择兼容的数据库引擎版本:MySQL的2.07.1、5.6.10a或者Postgres的10.12、10.14、10.18。

如果选择其中之一,Serverless v1将被列为可能的实例类别。

至于你的另一个问题:你可以使用外部工具(例如DBeaver https://dbeaver.io/)连接任何一个RDS数据库。

profile picture
专家
已回答 9 个月前

您未登录。 登录 发布回答。

一个好的回答可以清楚地解答问题和提供建设性反馈,并能促进提问者的职业发展。

回答问题的准则